Module | Sequel::Plugins::Serialization::InstanceMethods
In: | lib/sequel/plugins/serialization.rb

### Methods

before_save new refresh

### Attributes

deserialized_values | [R] | Hash of deserialized values, used as a cache.

### Public Class methods

new(*args, &block)

Set @deserialized_values to the empty hash

[Source]

        # File lib/sequel/plugins/serialization.rb, line 72
    72:         def initialize(*args, &block)
    73:           @deserialized_values = {}
    74:           super
    75:         end

### Public Instance methods

before_save()

Serialize all deserialized values

[Source]

        # File lib/sequel/plugins/serialization.rb, line 78
    78:         def before_save
    79:           super
    80:           deserialized_values.each do |k,v|
    81:             @values[k] = serialize_value(v)
    82:           end
    83:         end

refresh()

Empty the deserialized values when refreshing.

[Source]

        # File lib/sequel/plugins/serialization.rb, line 86
    86:         def refresh
    87:           @deserialized_values = {}
    88:           super
    89:         end

[Validate]